Subject: [PWE3] Pseudo-wires: uni-directional o bi-directional?

From: Javi <[email-masked]>
Date: Fri, 18 Jun 2010 17:48:49 +0200

A pseudo-wire is: uni-directional o bi-directional?

I thought that it was necessary to set up two symmetrical TDMoMPLS 
pseudo-wires (one for each direction) for emulating a bidirectional TDM 
circuit o HDLC/FR link.

However, I found confusing references:

RFC 4591 (L2TPv3 FRoPW), clause 5
There is a one-to-one mapping between a Frame Relay PVC and *an
FRPW, supporting bi-directional **transport *of variable length frames.

RFC 3985 (PWE3 Architecture)
7.3.1.  Pseudo Wire Up/Down Notification
    If a native service requires bi-directional connectivity, the
    corresponding emulated service can only be signaled as being up when
    the *PW* and PSN tunnels (if used), are *functional in both directions*.

RFC 5087 (TDMoIP PWs), clause 3
Since TDM is inherently bidirectional, the *association of two PWs in 
opposite directions is required*

RFC 5087 (TDMoIP PWs), clause 6
Since TDM *PWs are inherently bidirectional*

RFC 4591 (PWE3 Requirements), clause 5.1
If a native circuit is bi-directional, the corresponding emulated
circuit can be signaled "Up" only when the associated PW and PSN
tunnels *in both directions are functional*.

Javi

---

From: Yaakov Stein <[email-masked]>
Date: Sun, 27 Jun 2010 16:12:26 +0300

Javi

If the native service being emulated is bidirectional, then the PW will be bidirectional.

MPLS LSPs are unidirectional.
So when supporting a bidirectional service, two LSPs in opposite directions will need to be associated.
I agree that some of the wording in old documents may be unfortunate

Y(J)S

From: [email-masked] [mailto:[email-masked]] On Behalf Of Javi
Sent: Friday, June 18, 2010 18:49
To: [email-masked]
Subject: [PWE3] Pseudo-wires: uni-directional o bi-directional?

I thought that it was necessary to set up two symmetrical TDMoMPLS pseudo-wires (one for each direction) for emulating a bidirectional TDM circuit o HDLC/FR link.

RFC 4591 (L2TPv3 FRoPW), clause 5
There is a one-to-one mapping between a Frame Relay PVC and an
FRPW, supporting bi-directional transport of variable length frames.

   the PW and PSN tunnels (if used), are functional in both directions.

RFC 5087 (TDMoIP PWs), clause 3
Since TDM is inherently bidirectional, the association of two PWs in opposite directions is required

RFC 5087 (TDMoIP PWs), clause 6
Since TDM PWs are inherently bidirectional

RFC 4591 (PWE3 Requirements), clause 5.1
If a native circuit is bi-directional, the corresponding emulated
circuit can be signaled "Up" only when the associated PW and PSN
tunnels in both directions are functional.

Javi

---

From: Javi <[email-masked]>
Date: Sun, 27 Jun 2010 20:39:55 +0200

Yaakov,

>  If the native service being emulated is bidirectional, then the PW 
will be bidirectional.Y(J)S

Then, I don't understand the next one:

According with your explanation, due to a TDM circuit is bidirectional, 
the TDMoPW will be bidirectional. However, according with RFC 5087, two 
PWs in opposite directions are need (then, two unidirectional PWs).

Thanks,

Javi

---

From: Alexander Vainshtein <[email-masked]>
Date: Mon, 28 Jun 2010 09:01:27 +0300

Yaakov, Javi,
I think the problem is actually a typo in 5087 (Yaakov has said already that some language is somewhat problematic). If you read "association of LSPs in two opposite directions" (which I believe was the intention), this text would be OK.
It may be worth noting that MPLS-TP defines an "associated bi-directional LSP" as a pair of LSPs (A to Z and Z to A) where the end point are aware of the pairing.

It seems to me that PWs are associated bi-directional LSPs...

Regards,
     Sasha

________________________________
From: [email-masked] [[email-masked]] On Behalf Of Javi [[email-masked]]
Sent: Sunday, June 27, 2010 9:39 PM
To: [email-masked]
Cc: Yaakov Stein
Subject: Re: [PWE3] Pseudo-wires: uni-directional o bi-directional?

Yaakov,

> If the native service being emulated is bidirectional, then the PW will be bidirectional.Y(J)S

According with your explanation, due to a TDM circuit is bidirectional, the TDMoPW will be bidirectional. However, according with RFC 5087, two PWs in opposite directions are need (then, two unidirectional PWs).

Thanks,

Javi

---

From: Huub van Helvoort <[email-masked]>
Date: Mon, 28 Jun 2010 13:39:49 +0200

Hello Javi,

You wrote:

> RFC 5087 (TDMoIP PWs), clause 3 Since TDM is inherently
> bidirectional, the *association of two PWs in opposite directions is
> required*
>
> According with your explanation, due to a TDM circuit is
> bidirectional, the TDMoPW will be bidirectional. However, according
> with RFC 5087, two PWs in opposite directions are need (then, two
> unidirectional PWs).

Because this concerns TDM two associated PWs (at the end points)
will not be enough they should be co-routed as well.

Regards, Huub.

-- 
================================================================
Always remember that you are unique...just like everyone else...

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 28 Jun 2010 13:46:11 +0100

> It seems to me that PWs are associated bi-directional LSPs...
PWs are co-routed bi-directional since it is required that they go 
through the same xPEs in each direction, and the xPEs knows about the 
association of the two directional components.

Whether they run over co-routed bi-directional, or associated 
bi-directional LSP is a deployment/applicability issue.

- Stewart

---

From: Alexander Vainshtein <[email-masked]>
Date: Mon, 28 Jun 2010 15:47:27 +0300

Huub,

You have said:

<quote>

<end quote>

Could you please elaborate?

To the best of my recollection, this issue never has been raised during the PWE3 discussions on TDM PWs.

Nor has it been ever mentioned when ITU-T has been working on Y.1413...

Regards,

     Sasha

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Huub van Helvoort
Sent: Monday, June 28, 2010 2:40 PM
To: Javi
Cc: [email-masked]
Subject: Re: [PWE3] Pseudo-wires: uni-directional o bi-directional?

Hello Javi,

Regards, Huub.

--

_______________________________________________

pwe3 mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/pwe3

---

From: Alexander Vainshtein <[email-masked]>
Date: Mon, 28 Jun 2010 15:56:25 +0300

Stewart,
Lots of thanks for a prompt and unambiguous response..
This issues looks like one more fine point of MPLS-TP-ese to me: Does "co-routed" mean "co-routed in the immediate lower layer" or "co-routed in all the underlying layers down to the duct"?
FWIW, I tend to agree with your interpretation: "co-routed" means "co-routed in the immediate lower layer", and hence PWs (both single-segment and multi-segment) are co-routed bi-directional LSPs.

Regards,
     Sasha

From: [email-masked] [mailto:[email-masked]] On Behalf Of Stewart Bryant
Sent: Monday, June 28, 2010 3:46 PM
To: [email-masked]
Subject: Re: [PWE3] Pseudo-wires: uni-directional o bi-directional?

PWs are co-routed bi-directional since it is required that they go through the same xPEs in each direction, and the xPEs knows about the association of the two directional components.

Whether they run over co-routed bi-directional, or associated bi-directional LSP is a deployment/applicability issue.

- Stewart

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 28 Jun 2010 10:01:15 -0400

Dear Sasha,
I too find Stewart's explanation very useful for overall MPLS-TP. And in
this perspective perhaps the SS PW might be also referred as PW section.

Regards,
Greg

On Mon, Jun 28, 2010 at 8:56 AM, Alexander Vainshtein <
[email-masked]> wrote:

> This issues looks like one more fine point of MPLS-TP-ese to me: Does
> “co-routed” mean “co-routed in the immediate lower layer” or “co-routed in
> all the underlying layers down to the duct”?
>
> FWIW, I tend to agree with your interpretation: “co-routed” means
> “co-routed in the immediate lower layer”, and hence PWs (both single-segment
> and multi-segment) are co-routed bi-directional LSPs.
>
>
>
> Regards,
>
>      Sasha
>
>
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of
> *Stewart Bryant
> *Sent:* Monday, June 28, 2010 3:46 PM
> *To:* [email-masked]
>
> *Subject:* Re: [PWE3] Pseudo-wires: uni-directional o bi-directional?
>
>
>
>
>
> PWs are co-routed bi-directional since it is required that they go through
> the same xPEs in each direction, and the xPEs knows about the association of
> the two directional components.
>

---

From: Javi <[email-masked]>
Date: Mon, 28 Jun 2010 16:05:46 +0200

Sasha, Yaakov,

> I think the problem is actually a typo in 5087 (Yaakov has said 
> already that some language is somewhat problematic). If you read 
> "association of LSPs in two opposite directions" (which I believe was 
> the intention), this text would be OK.

But we must take into account that RFC 5087 does not only consider MPLS 
PW. Otherwise, according with clause 4, it also considers UDP/IP, L2TPv3 
and Ehernet PWs.

So, when it asserts (clause 4):

We can not change it for:

Since TDM is inherently bidirectional, the association of LSPs in two 
opposite directions* is required*

because it woult only cover the MPLS PWs. What about L2TPv3 PWs, for 
instance?.As far as I know, a L2TPv3 session is bidirectional. Then, a 
L2TPv3 PW would always be bidirectional, independently of If the native 
service being emulated is bidirectional or not.

Regards,

Javi

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 28 Jun 2010 17:26:03 +0100

Greg

I do not understand your point.

MS-PW S-PEs serve a purpose in breaking the PW into segments. If you do 
not need that decomposition in a network, there is nothing requiring 
their use. However we should not prohibit their use either, as there are 
scenarios whether this decomposition is of benefit.

If you need an existence proof of this point, remember that we initially 
designed SS-PW and needed to create MS-PW to address requirements of 
network operators that has deployed SS-PW.

Stewart

On 28/06/2010 15:01, Greg Mirsky wrote:
> Dear Sasha,
> I too find Stewart's explanation very useful for overall MPLS-TP. And 
> in this perspective perhaps the SS PW might be also referred as PW 
> section.
>
> Regards,
> Greg
>
> On Mon, Jun 28, 2010 at 8:56 AM, Alexander Vainshtein 
> <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Stewart,
>
>     This issues looks like one more fine point of MPLS-TP-ese to me:
>     Does “co-routed” mean “co-routed in the immediate lower layer” or
>     “co-routed in all the underlying layers down to the duct”?
>
>     “co-routed in the immediate lower layer”, and hence PWs (both
>     single-segment and multi-segment) are co-routed bi-directional LSPs.
>
>     Regards,
>
>          Sasha
>
>     *From:* [email-masked] <mailto:[email-masked]>
>     [mailto:[email-masked] <mailto:[email-masked]>] *On
>     Behalf Of *Stewart Bryant
>     *To:* [email-masked] <mailto:[email-masked]>
>
>     through the same xPEs in each direction, and the xPEs knows about
>     the association of the two directional components.
>
>     [email-masked] <mailto:[email-masked]>

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 28 Jun 2010 12:50:56 -0400

Dear Stewart,
perhaps I'm applying section/segment terminology to PW without sufficient
explanation of my view. After reading comments by you and Sasha I've looked
at SS-PW as a bi-directional link or section. If such presentation of SS-PW
is valid then it's co-routedness, as you've noted, is obvious. I agree that
SS-PW can be referred as segment as well but then its co-routedness is not
self-evident. Interestingly, from the view of SS-PW as a bi-directional
link/section directly follows bi-directional co-routed essence of MS-PW.

Regards,
Greg

On Mon, Jun 28, 2010 at 12:26 PM, Stewart Bryant <[email-masked]> wrote:

> MS-PW S-PEs serve a purpose in breaking the PW into segments. If you do not
> need that decomposition in a network, there is nothing requiring their use.
> However we should not prohibit their use either, as there are scenarios
> whether this decomposition is of benefit.
>
> designed SS-PW and needed to create MS-PW to address requirements of network
> operators that has deployed SS-PW.
>
> Stewart
>
>
>
>
>
>
>> *From:* [email-masked] [mailto:[email-masked]] *On Behalf
>> Of *Stewart Bryant

---

From: Huub van Helvoort <[email-masked]>
Date: Mon, 28 Jun 2010 22:08:13 +0200

Hello Sasha,

> Could you please elaborate?

I think Stuart already answered this question.

> the PWE3 discussions on TDM PWs.

Maybe before I started following PW discussions.

> Nor has it been ever mentioned when ITU-T has been working on Y.1413…

ITU-T has Study groups similar to WG in IETF.
Y.1431 is the responsibility of SG13 concerned with interworking
of technologies.
For TDM (PDH, SDH, OTN) SG15 is the design authority.
So your work on TDM over PW should have been liaised to SG15.
You would have been provided with the proper answer at that
time.

Regards, Huub.

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 28 Jun 2010 22:25:26 +0100

> So your work on TDM over PW should have been liaised to SG15. 

I was. The first time I met Malcolm was in a joint meeting between 
Q12/15 and the Qx/13 where we discussed the G.800 model for PWs.

We also discussed the timing implications for TDM PWs in a joint meeting 
with Q13/15.

- Stewart